%define upstream_name    Date-Extract
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extract probable dates from strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DateTime::Format::Natural) >= 0.600.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::MockTime::HiRes)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Take an arbitrary block of text, search it for something that looks like a date
string, and extract it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jan 17 2023 tv <tv> 0.70.0-1.mga9
+ Revision: 1933976
- update to 0.07

* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-4.mga9
+ Revision: 1808712
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-3.mga8
+ Revision: 1503730
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-2.mga7
+ Revision: 1282642
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.60.0-1.mga7
+ Revision: 1134200
- update to 0.06

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1025020
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 971741
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 892557
- Add description
- imported package perl-Date-Extract

